Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\Entity\EntityManagerFactory Class Reference

## Public Member Functions
| __construct (RepositoryConfigurationProvider $repositoryConfigurationProvider, ServiceLocator $serviceLocator, string $defaultConnection, array $entityManagers)
| getEntityManager ()

## Protected Member Functions
| getEntityManagerServiceId (string $connection)

## Private Attributes
| $repositoryConfigurationProvider
| $serviceLocator
| $defaultConnection
| $entityManagers

## Detailed Description

Definition at line 18 of file EntityManagerFactory.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishCoreBundle\Entity\EntityManagerFactory::__construct | ( | RepositoryConfigurationProvider | $repositoryConfigurationProvider,
|  | ServiceLocator | $serviceLocator,
|  | string | $defaultConnection,
|  | array | $entityManagers
| ) |  |

Definition at line 32 of file EntityManagerFactory.php.

References eZ\Bundle\EzPublishCoreBundle\Entity\EntityManagerFactory\$defaultConnection, eZ\Bundle\EzPublishCoreBundle\Entity\EntityManagerFactory\$entityManagers, eZ\Bundle\EzPublishCoreBundle\Entity\EntityManagerFactory\$repositoryConfigurationProvider, and eZ\Bundle\EzPublishCoreBundle\Entity\EntityManagerFactory\$serviceLocator.

## Member Function Documentation

## ◆ getEntityManager()

eZ\Bundle\EzPublishCoreBundle\Entity\EntityManagerFactory::getEntityManager | ( |  | ) |

Definition at line 44 of file EntityManagerFactory.php.

References eZ\Bundle\EzPublishCoreBundle\Entity\EntityManagerFactory\getEntityManagerServiceId().

## ◆ getEntityManagerServiceId()

eZ\Bundle\EzPublishCoreBundle\Entity\EntityManagerFactory::getEntityManagerServiceId | ( | string | $connection | ) |
| protected

Definition at line 67 of file EntityManagerFactory.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Entity\EntityManagerFactory\getEntityManager().

## Member Data Documentation

## ◆ $defaultConnection

eZ\Bundle\EzPublishCoreBundle\Entity\EntityManagerFactory::$defaultConnection
| private

Definition at line 27 of file EntityManagerFactory.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Entity\EntityManagerFactory\__construct().

## ◆ $entityManagers

eZ\Bundle\EzPublishCoreBundle\Entity\EntityManagerFactory::$entityManagers
| private

Definition at line 30 of file EntityManagerFactory.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Entity\EntityManagerFactory\__construct().

## ◆ $repositoryConfigurationProvider

eZ\Bundle\EzPublishCoreBundle\Entity\EntityManagerFactory::$repositoryConfigurationProvider
| private

Definition at line 21 of file EntityManagerFactory.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Entity\EntityManagerFactory\__construct().

## ◆ $serviceLocator

eZ\Bundle\EzPublishCoreBundle\Entity\EntityManagerFactory::$serviceLocator
| private

Definition at line 24 of file EntityManagerFactory.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Entity\EntityManagerFactory\__construct().

The documentation for this class was generated from the following file:

- EntityManagerFactory.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.